package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.dataset.*;
import com.tmax.openframe.variable.group.OFCB001_OUT_REC;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface OFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_DoToOFCB001_OUT_RECMapper {
    OFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_DoToOFCB001_OUT_RECMapper INSTANCE = Mappers
            .getMapper(OFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_DoToOFCB001_OUT_RECMapper.class);

    @Mapping(source = "OUT_CUSTOMER_NUMBER", target = "OUT_CUSTOMER_NUMBER")
    @Mapping(source = "OUT_FIRST_NAME", target = "OUT_FIRST_NAME")
    @Mapping(source = "OUT_LAST_NAME", target = "OUT_LAST_NAME")
    @Mapping(source = "OUT_LAST_UPDATE", target = "OUT_LAST_UPDATE")
    OFCB001_OUT_REC toOFCB001_OUT_REC(
            OFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_Do source);

    @Mapping(source = "OUT_CUSTOMER_NUMBER", target = "OUT_CUSTOMER_NUMBER")
    @Mapping(source = "OUT_FIRST_NAME", target = "OUT_FIRST_NAME")
    @Mapping(source = "OUT_LAST_NAME", target = "OUT_LAST_NAME")
    @Mapping(source = "OUT_LAST_UPDATE", target = "OUT_LAST_UPDATE")
    OFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_Do toOFCB001_OFCB001_FD_OUT_NEW_CUSTOMERS_Do(
            OFCB001_OUT_REC source);
}
